#ifndef VIDEO_H
#define VIDEO_H
#include "SDL2/SDL.h"
#include "globals.h"
#include <string>
#include <gst/gst.h>
#include <gst/app/gstappsink.h>
#include <gst/app/gstappsrc.h>

using namespace std;

class video 
{

public:
    video(int id, string filename,int x,int y,int width, int heigth, int zindex, int stopable);
    ~video();
    void update();
    void playonce();
    void playloop();
    void stop();
    void clean();
    void init();
    void setrewindtime(int time);
    int getvisible();
private:
    string filen;
    SDL_Rect pos;
    SDL_Rect pos2;
    int x;
    int y;
    bool playb;
    bool playonceb;
    bool stopb;
    bool open;
    bool inited;
    bool timeoutsent;
    int visible;
    int count;
    int rewindtime;
    SDL_Texture *tex;
    GstElement* pipeline;
    GstSample* sample;
    GstBuffer *buffer;
    GstAppSink* app_sink;
    GstElement* converter;
    GstElement* source;
    
};
#endif
